c     Copyright (C)
c     2008-2013 Universit Paul Sabatier
c     2008-2013 Centre National de la Recherche Scientifique
c     2008-2013 Ecole des Mines d'Albi
c     2008-2013 Universit de Bordeaux 1
c     2008-2013 Fondation STAE
c     2014-2018 Meso-Star
c     
c     KDISTRIBUTION is free software; you can redistribute it and/or modify
c     it under the terms of the GNU General Public License as published by
c     the Free Software Foundation; either version 3, or (at your option)
c     any later version.

c     KDISTRIBUTION is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.

c     You should have received a copy of the GNU General Public License
c     along with KDISTRIBUTION; if not, see <http://www.gnu.org/licenses/>
c
      subroutine test_procedure(nk,Nb,Nq,i,band,nu,k,kdist,w,
     &     tr_exact,tr_quad)
      implicit none
      include 'max.inc'
c
c     Purpose: to compute mean transmittivities, both from initial 
c     disretized spectrum and from output k-distribution data sets
c
c     Inputs:
c       + nk: number of points in the discretized k-spectrum
c       + Nb: number of narrowband spectral intervals
c       + Nq: quadrature order
c       + i: actually not used
c       + band: index of the narrowband spectral interval
c       + nu: array of "nk" values of "nu"
c       + k: associated values of k
c       + kdist: k-distribution data set that has been computed from the discretized k-spectrum
c       + w: array of quadrature weights
c     
c     Outputs:
c       + tr_exact: mean transmittivity computed from the discretized k-spectrum
c       + tr_quad: mean transmittivity computed from the output k-distribution data set
c
      integer nk,Nb,Nq,band,i
      double precision nu(1:kmax),k(1:kmax),l
      double precision kdist(1:Nbmx,1:Nqmx),w(Nqmx)
      double precision tr_exact
      double precision tr_quad
c     label
      integer strlen
      character*(Nchar_mx) label
      label='subroutine test_procedure'

      l=1.0D+0 ! m
      call mean_tr(nk,nu,k,l,tr_exact)
      call mean_tr_quad(Nq,w,kdist,i,band,l,tr_quad)

      return
      end
